Debian Bug report logs - #655385
linux-image-2.6.32-5-openvz-amd64: "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Corin Langosch <info@corinlangosch.com>

Date: Tue, 10 Jan 2012 20:03:08 UTC

Severity: important

Tags: patch

Found in version 2.6.32-38

Fixed in version linux-2.6/2.6.32-46

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.openvz.org/show_bug.cgi?id=2142

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, info@corinlangosch.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Tue, 10 Jan 2012 20:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Corin Langosch <info@corinlangosch.com>:
New Bug report received and forwarded. Copy sent to info@corinlangosch.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 Jan 2012 20:03:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Corin Langosch <info@corinlangosch.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-openvz-amd64: "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Tue, 10 Jan 2012 21:01:08 +0100
Package: linux-2.6
Version: 2.6.32-38
Severity: important

When doing a "cat /proc/self/mountinfo" inside a guest the result is "Cannot allocate memory".

What really makes it evil: the page cache of the whole machine is flushed and all swap space available consumed. This effectively causes the whole system to freeze because of the high load / disk io.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-openvz-amd64 (Debian 2.6.32-38) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Mon Oct 3 05:12:50 UTC 2011

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-openvz-amd64 root=UUID=1924430b-93b2-4781-b1bb-6281966c64fc ro quiet

** Tainted: W (512)
 * Taint on warning.

** Kernel log:
[    1.954245] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    1.954260] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.954371]  sda: sda1 sda2 < sda5 >
[    1.955496] sd 0:0:0:0: [sda] Attached SCSI disk
[    2.043616] e1000: 0000:00:08.0: e1000_probe: (PCI:33MHz:32-bit) 08:00:27:29:8c:5c
[    2.094618] e1000: eth1: e1000_probe: Intel(R) PRO/1000 Network Connection
[    2.094726]   alloc irq_desc for 22 on node -1
[    2.094731]   alloc kstat_irqs on node -1
[    2.094769] ohci_hcd 0000:00:06.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[    2.094817] ohci_hcd 0000:00:06.0: OHCI Host Controller
[    2.094832] ohci_hcd 0000:00:06.0: new USB bus registered, assigned bus number 2
[    2.094906] ohci_hcd 0000:00:06.0: irq 22, io mem 0xf0804000
[    2.150065] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
[    2.150080] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.150088] usb usb2: Product: OHCI Host Controller
[    2.150093] usb usb2: Manufacturer: Linux 2.6.32-5-openvz-amd64 ohci_hcd
[    2.150100] usb usb2: SerialNumber: 0000:00:06.0
[    2.150345] usb usb2: configuration #1 chosen from 1 choice
[    2.150430] hub 2-0:1.0: USB hub found
[    2.150502] hub 2-0:1.0: 8 ports detected
[    2.286615] PM: Starting manual resume from disk
[    2.286620] PM: Resume from partition 8:5
[    2.286622] PM: Checking hibernation image.
[    2.286770] PM: Error -22 checking image file
[    2.286773] PM: Resume from disk failed.
[    2.306573] kjournald starting.  Commit interval 5 seconds
[    2.306650] EXT3-fs: mounted filesystem with ordered data mode.
[    2.561494] usb 2-1: new full speed USB device using ohci_hcd and address 2
[    2.606712] udev[288]: starting version 164
[    2.684580] processor LNXCPU:00: registered as cooling_device0
[    2.684580] processor LNXCPU:01: registered as cooling_device1
[    2.684607] processor LNXCPU:02: registered as cooling_device2
[    2.684647] processor LNXCPU:03: registered as cooling_device3
[    2.684715] processor LNXCPU:04: registered as cooling_device4
[    2.684720] processor LNXCPU:05: registered as cooling_device5
[    2.684756] processor LNXCPU:06: registered as cooling_device6
[    2.684796] processor LNXCPU:07: registered as cooling_device7
[    2.686623] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[    2.686630] ACPI: Power Button [PWRF]
[    2.686704] input: Sleep Button as /devices/LNXSYSTM:00/LNXSLPBN:00/input/input3
[    2.686714] ACPI: Sleep Button [SLPF]
[    2.691095] ACPI: AC Adapter [AC] (on-line)
[    2.692524] ACPI: Battery Slot [BAT0] (battery present)
[    2.701210] input: PC Speaker as /devices/platform/pcspkr/input/input4
[    2.701866] piix4_smbus 0000:00:07.0: SMBus base address uninitialized - upgrade BIOS or use force_addr=0xaddr
[    2.705098] parport_pc 00:04: reported by Plug and Play ACPI
[    2.732204] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input5
[    2.759987] Error: Driver 'pcspkr' is already registered, aborting...
[    2.828204] usb 2-1: New USB device found, idVendor=80ee, idProduct=0021
[    2.828231] usb 2-1: New USB device strings: Mfr=1, Product=3, SerialNumber=0
[    2.828238] usb 2-1: Product: USB Tablet
[    2.828243] usb 2-1: Manufacturer: VirtualBox
[    2.828515] usb 2-1: configuration #1 chosen from 1 choice
[    2.858372] usbcore: registered new interface driver hiddev
[    2.873203] input: VirtualBox USB Tablet as /devices/pci0000:00/0000:00:06.0/usb2/2-1/2-1:1.0/input/input6
[    2.873366] generic-usb 0003:80EE:0021.0001: input,hidraw0: USB HID v1.10 Mouse [VirtualBox USB Tablet] on usb-0000:00:06.0-1/input0
[    2.873450] usbcore: registered new interface driver usbhid
[    2.873462] usbhid: v2.6:USB HID core driver
[    3.167371] Adding 477176k swap on /dev/sda5.  Priority:-1 extents:1 across:477176k 
[    3.245533] EXT3 FS on sda1, internal journal
[    3.293283] loop: module loaded
[    3.808534] e1000: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[    3.816591] e1000: eth1 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[    3.816981] ADDRCONF(NETDEV_UP): eth1: link is not ready
[    3.819172] ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
[    4.687991] ip_tables: (C) 2000-2006 Netfilter Core Team
[   14.192213] eth1: no IPv6 routers present
[   14.624347] eth0: no IPv6 routers present
[   30.768884] process `sysctl' is using deprecated sysctl (syscall) net.ipv6.neigh.default.retrans_time; Use net.ipv6.neigh.default.retrans_time_ms instead.
[14858.191959] warning: `vzctl' uses 32-bit capabilities (legacy support in use)
[14858.248739] CT: 100: started
[15007.787106] ------------[ cut here ]------------
[15007.787124] WARNING: at /build/buildd-linux-2.6_2.6.32-38-amd64-bk66e4/linux-2.6-2.6.32/debian/build/source_amd64_openvz/mm/page_alloc.c:1828 __alloc_pages_nodemask+0x186/0x6c7()
[15007.787131] Hardware name: VirtualBox
[15007.787133] Modules linked in: vzethdev vznetdev simfs vzrst vzcpt vzdquota vzmon vzdev xt_tcpudp xt_length xt_hl xt_tcpmss xt_TCPMSS iptable_mangle iptable_filter xt_multiport xt_limit xt_dscp ipt_REJECT ip_tables x_tables vzevent loop joydev usbhid hid snd_pcm snd_timer snd psmouse soundcore serio_raw snd_page_alloc parport_pc evdev i2c_piix4 pcspkr parport ac battery button processor i2c_core ext3 jbd mbcache sd_mod crc_t10dif ohci_hcd ahci ehci_hcd libata scsi_mod usbcore nls_base thermal e1000 thermal_sys [last unloaded: scsi_wait_scan]
[15007.787171] Pid: 3101, comm: facter Not tainted 2.6.32-5-openvz-amd64 #1
[15007.787173] Call Trace:
[15007.787177]  [<ffffffff810bcefb>] ? __alloc_pages_nodemask+0x186/0x6c7
[15007.787180]  [<ffffffff810bcefb>] ? __alloc_pages_nodemask+0x186/0x6c7
[15007.787184]  [<ffffffff8104e0a0>] ? warn_slowpath_common+0x77/0xa3
[15007.787188]  [<ffffffff810bcefb>] ? __alloc_pages_nodemask+0x186/0x6c7
[15007.787191]  [<ffffffff810e961e>] ? new_slab+0x104/0x228
[15007.787194]  [<ffffffff811002c7>] ? __d_path+0x116/0x1e0
[15007.787198]  [<ffffffff810bc3b9>] ? __get_free_pages+0x9/0x38
[15007.787200]  [<ffffffff810e90a5>] ? __kmalloc+0x3f/0x17f
[15007.787203]  [<ffffffff81108eb8>] ? seq_read+0x226/0x388
[15007.787207]  [<ffffffff810f1d0a>] ? vfs_read+0xa6/0xff
[15007.787210]  [<ffffffff810f1e7d>] ? sys_read+0x49/0xc4
[15007.787213]  [<ffffffff81010c12>] ? system_call_fastpath+0x16/0x1b
[15007.787215] ---[ end trace 5d75e2eb811ce4bf ]---
[16151.459396] NET: Registered protocol family 3
[16151.481955] NET: Registered protocol family 6
[16151.493279] NET: Registered protocol family 11
[16151.514999] NET: Registered protocol family 4
[16151.535658] NET: Registered protocol family 5
[17097.715335] Adding 477176k swap on /dev/sda5.  Priority:-1 extents:1 across:477176k 
[24897.060905] hrtimer: interrupt took 29975877 ns
[24966.141636] CT: 100: stopped
[24967.140710] CT: 100: started
[25614.326816] Adding 477176k swap on /dev/sda5.  Priority:-1 extents:1 across:477176k 

** Model information
sys_vendor: innotek GmbH
product_name: VirtualBox
product_version: 1.2
bios_vendor: innotek GmbH
bios_version: VirtualBox

** Loaded modules:
Module                  Size  Used by
appletalk              24213  0 
ipx                    18854  0 
p8023                   1044  1 ipx
rose                   33930  0 
netrom                 29272  0 
ax25                   39739  2 rose,netrom
vzethdev                7301  0 
vznetdev               17967  2 
simfs                   3087  1 
vzrst                 110398  0 
vzcpt                  97106  0 
vzdquota               35158  1 [permanent]
vzmon                  16317  5 vzethdev,vznetdev,vzrst,vzcpt
vzdev                   1824  6 vzethdev,vznetdev,vzdquota,vzmon
xt_tcpudp               2319  0 
xt_length               1164  0 
xt_hl                   1313  0 
xt_tcpmss               1401  0 
xt_TCPMSS               2935  0 
iptable_mangle          2881  0 
iptable_filter          2322  0 
xt_multiport            2267  0 
xt_limit                1782  0 
xt_dscp                 1805  0 
ipt_REJECT              1953  0 
ip_tables              14123  2 iptable_mangle,iptable_filter
x_tables               13213  10 xt_tcpudp,xt_length,xt_hl,xt_tcpmss,xt_TCPMSS,xt_multiport,xt_limit,xt_dscp,ipt_REJECT,ip_tables
vzevent                 1723  1 
loop                   11751  0 
joydev                  8475  0 
usbhid                 33308  0 
hid                    63305  1 usbhid
snd_pcm                60503  0 
snd_timer              15614  1 snd_pcm
snd                    46574  2 snd_pcm,snd_timer
psmouse                49937  0 
soundcore               4598  1 snd
serio_raw               3768  0 
snd_page_alloc          6265  1 snd_pcm
parport_pc             18855  0 
evdev                   7368  3 
i2c_piix4               8328  0 
pcspkr                  1699  0 
parport                27954  1 parport_pc
ac                      2192  0 
battery                 4998  0 
button                  4682  0 
processor              29999  0 
i2c_core               15819  1 i2c_piix4
ext3                  106678  1 
jbd                    37205  1 ext3
mbcache                 5050  1 ext3
sd_mod                 29889  2 
crc_t10dif              1276  1 sd_mod
ohci_hcd               19359  0 
ahci                   32534  1 
ehci_hcd               32097  0 
libata                133696  1 ahci
scsi_mod              126597  2 sd_mod,libata
usbcore               122850  4 usbhid,ohci_hcd,ehci_hcd
nls_base                6377  1 usbcore
thermal                11754  0 
e1000                  85501  0 
thermal_sys            11942  2 processor,thermal

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 440FX - 82441FX PMC [Natoma] [8086:1237] (rev 02)
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:01.0 ISA bridge [0601]: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II] [8086:7000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:02.0 VGA compatible controller [0300]: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=16M]
	Expansion ROM at <unassigned> [disabled]

00:03.0 Ethernet controller [0200]: Intel Corporation 82540EM Gigabit Ethernet Controller [8086:100e] (rev 02)
	Subsystem: Intel Corporation PRO/1000 MT Desktop Adapter [8086:001e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (63750ns min)
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at f0000000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at d000 [size=8]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [e4] PCI-X non-bridge device
		Command: DPERE- ERO+ RBC=512 OST=1
		Status: Dev=ff:1f.0 64bit- 133MHz- SCD- USC- DC=simple DMMRBC=2048 DMOST=1 DMCRS=8 RSCEM- 266MHz- 533MHz-
	Kernel driver in use: e1000

00:04.0 System peripheral [0880]: InnoTek Systemberatung GmbH VirtualBox Guest Service [80ee:cafe]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 9
	Region 0: I/O ports at d020 [size=32]
	Region 1: Memory at f0400000 (32-bit, non-prefetchable) [size=4M]
	Region 2: Memory at f0800000 (32-bit, prefetchable) [size=16K]

00:06.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at f0804000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:07.0 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI [8086:7113] (rev 08)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 9

00:08.0 Ethernet controller [0200]: Intel Corporation 82540EM Gigabit Ethernet Controller [8086:100e] (rev 02)
	Subsystem: Intel Corporation PRO/1000 MT Desktop Adapter [8086:001e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (63750ns min)
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f0820000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at d040 [size=8]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [e4] PCI-X non-bridge device
		Command: DPERE- ERO+ RBC=512 OST=1
		Status: Dev=ff:1f.0 64bit- 133MHz- SCD- USC- DC=simple DMMRBC=2048 DMOST=1 DMCRS=8 RSCEM- 266MHz- 533MHz-
	Kernel driver in use: e1000

00:0b.0 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller [8086:265c] (prog-if 20 [EHCI])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at f0840000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ehci_hcd

00:0d.0 SATA controller [0106]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller [8086:2829] (rev 02) (prog-if 01 [AHCI 1.0])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 21
	Region 0: I/O ports at d048 [size=8]
	Region 1: I/O ports at <ignored>
	Region 2: I/O ports at d058 [size=8]
	Region 3: I/O ports at <ignored>
	Region 4: I/O ports at d070 [size=16]
	Region 5: Memory at f0842000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [70] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [a8] SATA HBA v1.0 BAR4 Offset=00000002
	Kernel driver in use: ahci


** USB devices:
Bus 002 Device 002: ID 80ee:0021 VirtualBox USB Tablet
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-openvz-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-openvz-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.36.1   Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    2.6.32-38  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo
ii  vzctl                         3.0.24-12  server virtualization solution - c

Versions of packages linux-image-2.6.32-5-openvz-amd64 recommends:
ii  firmware-linux-free           2.6.32-38  Binary firmware for various driver

Versions of packages linux-image-2.6.32-5-openvz-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-openvz-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-openvz-amd64/postinst/missing-firmware-2.6.32-5-openvz-amd64:
  linux-image-2.6.32-5-openvz-amd64/postinst/depmod-error-initrd-2.6.32-5-openvz-amd64: false
  linux-image-2.6.32-5-openvz-amd64/prerm/removing-running-kernel-2.6.32-5-openvz-amd64: true
  linux-image-2.6.32-5-openvz-amd64/postinst/ignoring-do-bootloader-2.6.32-5-openvz-amd64:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Sun, 15 Jan 2012 18:03:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to opal@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 15 Jan 2012 18:03:17 GMT) Full text and rfc822 format available.

Message #10 received at 655385@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: Corin Langosch <info@corinlangosch.com>, 655385@bugs.debian.org
Cc: control@bugs.debian.org, debian@openvz.org
Subject: Re: Bug#655385: linux-image-2.6.32-5-openvz-amd64: "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Sun, 15 Jan 2012 19:02:26 +0100
forwarded 655385 http://bugzilla.openvz.org/show_bug.cgi?id=2142
thanks

Just want to report that I have filed this upstream now.

// Ola

On Tue, Jan 10, 2012 at 09:01:08PM +0100, Corin Langosch wrote:
> Package: linux-2.6
> Version: 2.6.32-38
> Severity: important
> 
> When doing a "cat /proc/self/mountinfo" inside a guest the result is "Cannot allocate memory".
> 
> What really makes it evil: the page cache of the whole machine is flushed and all swap space available consumed. This effectively causes the whole system to freeze because of the high load / disk io.
> 
> -- Package-specific info:
> ** Version:
> Linux version 2.6.32-5-openvz-amd64 (Debian 2.6.32-38) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Mon Oct 3 05:12:50 UTC 2011
> 
> ** Command line:
> BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-openvz-amd64 root=UUID=1924430b-93b2-4781-b1bb-6281966c64fc ro quiet
> 
> ** Tainted: W (512)
>  * Taint on warning.
> 
> ** Kernel log:
> [    1.954245] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
> [    1.954260] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
> [    1.954371]  sda: sda1 sda2 < sda5 >
> [    1.955496] sd 0:0:0:0: [sda] Attached SCSI disk
> [    2.043616] e1000: 0000:00:08.0: e1000_probe: (PCI:33MHz:32-bit) 08:00:27:29:8c:5c
> [    2.094618] e1000: eth1: e1000_probe: Intel(R) PRO/1000 Network Connection
> [    2.094726]   alloc irq_desc for 22 on node -1
> [    2.094731]   alloc kstat_irqs on node -1
> [    2.094769] ohci_hcd 0000:00:06.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
> [    2.094817] ohci_hcd 0000:00:06.0: OHCI Host Controller
> [    2.094832] ohci_hcd 0000:00:06.0: new USB bus registered, assigned bus number 2
> [    2.094906] ohci_hcd 0000:00:06.0: irq 22, io mem 0xf0804000
> [    2.150065] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
> [    2.150080] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
> [    2.150088] usb usb2: Product: OHCI Host Controller
> [    2.150093] usb usb2: Manufacturer: Linux 2.6.32-5-openvz-amd64 ohci_hcd
> [    2.150100] usb usb2: SerialNumber: 0000:00:06.0
> [    2.150345] usb usb2: configuration #1 chosen from 1 choice
> [    2.150430] hub 2-0:1.0: USB hub found
> [    2.150502] hub 2-0:1.0: 8 ports detected
> [    2.286615] PM: Starting manual resume from disk
> [    2.286620] PM: Resume from partition 8:5
> [    2.286622] PM: Checking hibernation image.
> [    2.286770] PM: Error -22 checking image file
> [    2.286773] PM: Resume from disk failed.
> [    2.306573] kjournald starting.  Commit interval 5 seconds
> [    2.306650] EXT3-fs: mounted filesystem with ordered data mode.
> [    2.561494] usb 2-1: new full speed USB device using ohci_hcd and address 2
> [    2.606712] udev[288]: starting version 164
> [    2.684580] processor LNXCPU:00: registered as cooling_device0
> [    2.684580] processor LNXCPU:01: registered as cooling_device1
> [    2.684607] processor LNXCPU:02: registered as cooling_device2
> [    2.684647] processor LNXCPU:03: registered as cooling_device3
> [    2.684715] processor LNXCPU:04: registered as cooling_device4
> [    2.684720] processor LNXCPU:05: registered as cooling_device5
> [    2.684756] processor LNXCPU:06: registered as cooling_device6
> [    2.684796] processor LNXCPU:07: registered as cooling_device7
> [    2.686623] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
> [    2.686630] ACPI: Power Button [PWRF]
> [    2.686704] input: Sleep Button as /devices/LNXSYSTM:00/LNXSLPBN:00/input/input3
> [    2.686714] ACPI: Sleep Button [SLPF]
> [    2.691095] ACPI: AC Adapter [AC] (on-line)
> [    2.692524] ACPI: Battery Slot [BAT0] (battery present)
> [    2.701210] input: PC Speaker as /devices/platform/pcspkr/input/input4
> [    2.701866] piix4_smbus 0000:00:07.0: SMBus base address uninitialized - upgrade BIOS or use force_addr=0xaddr
> [    2.705098] parport_pc 00:04: reported by Plug and Play ACPI
> [    2.732204] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input5
> [    2.759987] Error: Driver 'pcspkr' is already registered, aborting...
> [    2.828204] usb 2-1: New USB device found, idVendor=80ee, idProduct=0021
> [    2.828231] usb 2-1: New USB device strings: Mfr=1, Product=3, SerialNumber=0
> [    2.828238] usb 2-1: Product: USB Tablet
> [    2.828243] usb 2-1: Manufacturer: VirtualBox
> [    2.828515] usb 2-1: configuration #1 chosen from 1 choice
> [    2.858372] usbcore: registered new interface driver hiddev
> [    2.873203] input: VirtualBox USB Tablet as /devices/pci0000:00/0000:00:06.0/usb2/2-1/2-1:1.0/input/input6
> [    2.873366] generic-usb 0003:80EE:0021.0001: input,hidraw0: USB HID v1.10 Mouse [VirtualBox USB Tablet] on usb-0000:00:06.0-1/input0
> [    2.873450] usbcore: registered new interface driver usbhid
> [    2.873462] usbhid: v2.6:USB HID core driver
> [    3.167371] Adding 477176k swap on /dev/sda5.  Priority:-1 extents:1 across:477176k 
> [    3.245533] EXT3 FS on sda1, internal journal
> [    3.293283] loop: module loaded
> [    3.808534] e1000: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
> [    3.816591] e1000: eth1 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
> [    3.816981] ADDRCONF(NETDEV_UP): eth1: link is not ready
> [    3.819172] ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
> [    4.687991] ip_tables: (C) 2000-2006 Netfilter Core Team
> [   14.192213] eth1: no IPv6 routers present
> [   14.624347] eth0: no IPv6 routers present
> [   30.768884] process `sysctl' is using deprecated sysctl (syscall) net.ipv6.neigh.default.retrans_time; Use net.ipv6.neigh.default.retrans_time_ms instead.
> [14858.191959] warning: `vzctl' uses 32-bit capabilities (legacy support in use)
> [14858.248739] CT: 100: started
> [15007.787106] ------------[ cut here ]------------
> [15007.787124] WARNING: at /build/buildd-linux-2.6_2.6.32-38-amd64-bk66e4/linux-2.6-2.6.32/debian/build/source_amd64_openvz/mm/page_alloc.c:1828 __alloc_pages_nodemask+0x186/0x6c7()
> [15007.787131] Hardware name: VirtualBox
> [15007.787133] Modules linked in: vzethdev vznetdev simfs vzrst vzcpt vzdquota vzmon vzdev xt_tcpudp xt_length xt_hl xt_tcpmss xt_TCPMSS iptable_mangle iptable_filter xt_multiport xt_limit xt_dscp ipt_REJECT ip_tables x_tables vzevent loop joydev usbhid hid snd_pcm snd_timer snd psmouse soundcore serio_raw snd_page_alloc parport_pc evdev i2c_piix4 pcspkr parport ac battery button processor i2c_core ext3 jbd mbcache sd_mod crc_t10dif ohci_hcd ahci ehci_hcd libata scsi_mod usbcore nls_base thermal e1000 thermal_sys [last unloaded: scsi_wait_scan]
> [15007.787171] Pid: 3101, comm: facter Not tainted 2.6.32-5-openvz-amd64 #1
> [15007.787173] Call Trace:
> [15007.787177]  [<ffffffff810bcefb>] ? __alloc_pages_nodemask+0x186/0x6c7
> [15007.787180]  [<ffffffff810bcefb>] ? __alloc_pages_nodemask+0x186/0x6c7
> [15007.787184]  [<ffffffff8104e0a0>] ? warn_slowpath_common+0x77/0xa3
> [15007.787188]  [<ffffffff810bcefb>] ? __alloc_pages_nodemask+0x186/0x6c7
> [15007.787191]  [<ffffffff810e961e>] ? new_slab+0x104/0x228
> [15007.787194]  [<ffffffff811002c7>] ? __d_path+0x116/0x1e0
> [15007.787198]  [<ffffffff810bc3b9>] ? __get_free_pages+0x9/0x38
> [15007.787200]  [<ffffffff810e90a5>] ? __kmalloc+0x3f/0x17f
> [15007.787203]  [<ffffffff81108eb8>] ? seq_read+0x226/0x388
> [15007.787207]  [<ffffffff810f1d0a>] ? vfs_read+0xa6/0xff
> [15007.787210]  [<ffffffff810f1e7d>] ? sys_read+0x49/0xc4
> [15007.787213]  [<ffffffff81010c12>] ? system_call_fastpath+0x16/0x1b
> [15007.787215] ---[ end trace 5d75e2eb811ce4bf ]---
> [16151.459396] NET: Registered protocol family 3
> [16151.481955] NET: Registered protocol family 6
> [16151.493279] NET: Registered protocol family 11
> [16151.514999] NET: Registered protocol family 4
> [16151.535658] NET: Registered protocol family 5
> [17097.715335] Adding 477176k swap on /dev/sda5.  Priority:-1 extents:1 across:477176k 
> [24897.060905] hrtimer: interrupt took 29975877 ns
> [24966.141636] CT: 100: stopped
> [24967.140710] CT: 100: started
> [25614.326816] Adding 477176k swap on /dev/sda5.  Priority:-1 extents:1 across:477176k 
> 
> ** Model information
> sys_vendor: innotek GmbH
> product_name: VirtualBox
> product_version: 1.2
> bios_vendor: innotek GmbH
> bios_version: VirtualBox
> 
> ** Loaded modules:
> Module                  Size  Used by
> appletalk              24213  0 
> ipx                    18854  0 
> p8023                   1044  1 ipx
> rose                   33930  0 
> netrom                 29272  0 
> ax25                   39739  2 rose,netrom
> vzethdev                7301  0 
> vznetdev               17967  2 
> simfs                   3087  1 
> vzrst                 110398  0 
> vzcpt                  97106  0 
> vzdquota               35158  1 [permanent]
> vzmon                  16317  5 vzethdev,vznetdev,vzrst,vzcpt
> vzdev                   1824  6 vzethdev,vznetdev,vzdquota,vzmon
> xt_tcpudp               2319  0 
> xt_length               1164  0 
> xt_hl                   1313  0 
> xt_tcpmss               1401  0 
> xt_TCPMSS               2935  0 
> iptable_mangle          2881  0 
> iptable_filter          2322  0 
> xt_multiport            2267  0 
> xt_limit                1782  0 
> xt_dscp                 1805  0 
> ipt_REJECT              1953  0 
> ip_tables              14123  2 iptable_mangle,iptable_filter
> x_tables               13213  10 xt_tcpudp,xt_length,xt_hl,xt_tcpmss,xt_TCPMSS,xt_multiport,xt_limit,xt_dscp,ipt_REJECT,ip_tables
> vzevent                 1723  1 
> loop                   11751  0 
> joydev                  8475  0 
> usbhid                 33308  0 
> hid                    63305  1 usbhid
> snd_pcm                60503  0 
> snd_timer              15614  1 snd_pcm
> snd                    46574  2 snd_pcm,snd_timer
> psmouse                49937  0 
> soundcore               4598  1 snd
> serio_raw               3768  0 
> snd_page_alloc          6265  1 snd_pcm
> parport_pc             18855  0 
> evdev                   7368  3 
> i2c_piix4               8328  0 
> pcspkr                  1699  0 
> parport                27954  1 parport_pc
> ac                      2192  0 
> battery                 4998  0 
> button                  4682  0 
> processor              29999  0 
> i2c_core               15819  1 i2c_piix4
> ext3                  106678  1 
> jbd                    37205  1 ext3
> mbcache                 5050  1 ext3
> sd_mod                 29889  2 
> crc_t10dif              1276  1 sd_mod
> ohci_hcd               19359  0 
> ahci                   32534  1 
> ehci_hcd               32097  0 
> libata                133696  1 ahci
> scsi_mod              126597  2 sd_mod,libata
> usbcore               122850  4 usbhid,ohci_hcd,ehci_hcd
> nls_base                6377  1 usbcore
> thermal                11754  0 
> e1000                  85501  0 
> thermal_sys            11942  2 processor,thermal
> 
> ** PCI devices:
> 00:00.0 Host bridge [0600]: Intel Corporation 440FX - 82441FX PMC [Natoma] [8086:1237] (rev 02)
> 	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 
> 00:01.0 ISA bridge [0601]: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II] [8086:7000]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0
> 
> 00:02.0 VGA compatible controller [0300]: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0
> 	Interrupt: pin A routed to IRQ 11
> 	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=16M]
> 	Expansion ROM at <unassigned> [disabled]
> 
> 00:03.0 Ethernet controller [0200]: Intel Corporation 82540EM Gigabit Ethernet Controller [8086:100e] (rev 02)
> 	Subsystem: Intel Corporation PRO/1000 MT Desktop Adapter [8086:001e]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 64 (63750ns min)
> 	Interrupt: pin A routed to IRQ 19
> 	Region 0: Memory at f0000000 (32-bit, non-prefetchable) [size=128K]
> 	Region 2: I/O ports at d000 [size=8]
> 	Capabilities: [dc] Power Management version 2
> 		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
> 		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
> 	Capabilities: [e4] PCI-X non-bridge device
> 		Command: DPERE- ERO+ RBC=512 OST=1
> 		Status: Dev=ff:1f.0 64bit- 133MHz- SCD- USC- DC=simple DMMRBC=2048 DMOST=1 DMCRS=8 RSCEM- 266MHz- 533MHz-
> 	Kernel driver in use: e1000
> 
> 00:04.0 System peripheral [0880]: InnoTek Systemberatung GmbH VirtualBox Guest Service [80ee:cafe]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0
> 	Interrupt: pin A routed to IRQ 9
> 	Region 0: I/O ports at d020 [size=32]
> 	Region 1: Memory at f0400000 (32-bit, non-prefetchable) [size=4M]
> 	Region 2: Memory at f0800000 (32-bit, prefetchable) [size=16K]
> 
> 00:06.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 64
> 	Interrupt: pin A routed to IRQ 22
> 	Region 0: Memory at f0804000 (32-bit, non-prefetchable) [size=4K]
> 	Kernel driver in use: ohci_hcd
> 
> 00:07.0 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI [8086:7113] (rev 08)
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0
> 	Interrupt: pin A routed to IRQ 9
> 
> 00:08.0 Ethernet controller [0200]: Intel Corporation 82540EM Gigabit Ethernet Controller [8086:100e] (rev 02)
> 	Subsystem: Intel Corporation PRO/1000 MT Desktop Adapter [8086:001e]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 64 (63750ns min)
> 	Interrupt: pin A routed to IRQ 16
> 	Region 0: Memory at f0820000 (32-bit, non-prefetchable) [size=128K]
> 	Region 2: I/O ports at d040 [size=8]
> 	Capabilities: [dc] Power Management version 2
> 		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
> 		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
> 	Capabilities: [e4] PCI-X non-bridge device
> 		Command: DPERE- ERO+ RBC=512 OST=1
> 		Status: Dev=ff:1f.0 64bit- 133MHz- SCD- USC- DC=simple DMMRBC=2048 DMOST=1 DMCRS=8 RSCEM- 266MHz- 533MHz-
> 	Kernel driver in use: e1000
> 
> 00:0b.0 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller [8086:265c] (prog-if 20 [EHCI])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 64, Cache Line Size: 32 bytes
> 	Interrupt: pin A routed to IRQ 19
> 	Region 0: Memory at f0840000 (32-bit, non-prefetchable) [size=4K]
> 	Kernel driver in use: ehci_hcd
> 
> 00:0d.0 SATA controller [0106]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller [8086:2829] (rev 02) (prog-if 01 [AHCI 1.0])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 64
> 	Interrupt: pin A routed to IRQ 21
> 	Region 0: I/O ports at d048 [size=8]
> 	Region 1: I/O ports at <ignored>
> 	Region 2: I/O ports at d058 [size=8]
> 	Region 3: I/O ports at <ignored>
> 	Region 4: I/O ports at d070 [size=16]
> 	Region 5: Memory at f0842000 (32-bit, non-prefetchable) [size=8K]
> 	Capabilities: [70] Power Management version 3
> 		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
> 		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
> 	Capabilities: [a8] SATA HBA v1.0 BAR4 Offset=00000002
> 	Kernel driver in use: ahci
> 
> 
> ** USB devices:
> Bus 002 Device 002: ID 80ee:0021 VirtualBox USB Tablet
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> 
> 
> -- System Information:
> Debian Release: 6.0.3
>   APT prefers stable-updates
>   APT policy: (500, 'stable-updates'), (500, 'stable')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.32-5-openvz-amd64 (SMP w/8 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages linux-image-2.6.32-5-openvz-amd64 depends on:
> ii  debconf [debconf-2.0]         1.5.36.1   Debian configuration management sy
> ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
> ii  linux-base                    2.6.32-38  Linux image base package
> ii  module-init-tools             3.12-1     tools for managing Linux kernel mo
> ii  vzctl                         3.0.24-12  server virtualization solution - c
> 
> Versions of packages linux-image-2.6.32-5-openvz-amd64 recommends:
> ii  firmware-linux-free           2.6.32-38  Binary firmware for various driver
> 
> Versions of packages linux-image-2.6.32-5-openvz-amd64 suggests:
> pn  grub | lilo                   <none>     (no description available)
> pn  linux-doc-2.6.32              <none>     (no description available)
> 
> Versions of packages linux-image-2.6.32-5-openvz-amd64 is related to:
> pn  firmware-bnx2                 <none>     (no description available)
> pn  firmware-bnx2x                <none>     (no description available)
> pn  firmware-ipw2x00              <none>     (no description available)
> pn  firmware-ivtv                 <none>     (no description available)
> pn  firmware-iwlwifi              <none>     (no description available)
> pn  firmware-linux                <none>     (no description available)
> pn  firmware-linux-nonfree        <none>     (no description available)
> pn  firmware-qlogic               <none>     (no description available)
> pn  firmware-ralink               <none>     (no description available)
> pn  xen-hypervisor                <none>     (no description available)
> 
> -- debconf information:
>   linux-image-2.6.32-5-openvz-amd64/postinst/missing-firmware-2.6.32-5-openvz-amd64:
>   linux-image-2.6.32-5-openvz-amd64/postinst/depmod-error-initrd-2.6.32-5-openvz-amd64: false
>   linux-image-2.6.32-5-openvz-amd64/prerm/removing-running-kernel-2.6.32-5-openvz-amd64: true
>   linux-image-2.6.32-5-openvz-amd64/postinst/ignoring-do-bootloader-2.6.32-5-openvz-amd64:
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20120110200108.25409.74335.reportbug@debian
> 
> 

-- 
 --------------------- Ola Lundqvist ---------------------------
/  opal@debian.org                     Annebergsslingan 37      \
|  ola@inguza.com                      654 65 KARLSTAD          |
|  http://inguza.com/                  +46 (0)70-332 1551       |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36  4FE4 18A1 B1CF 0FE5 3DD9 /
 ---------------------------------------------------------------




Set Bug forwarded-to-address to 'http://bugzilla.openvz.org/show_bug.cgi?id=2142'. Request was from Ola Lundqvist <opal@debian.org> to control@bugs.debian.org. (Sun, 15 Jan 2012 18:03:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Fri, 04 May 2012 19:54:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Lechleitner <christoph.lechleitner@iteg.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 04 May 2012 19:54:14 GMT) Full text and rfc822 format available.

Message #17 received at 655385@bugs.debian.org (full text, mbox):

From: Christoph Lechleitner <christoph.lechleitner@iteg.at>
To: 655385@bugs.debian.org
Subject: Solution available for testing and integration
Date: Fri, 04 May 2012 21:32:34 +0200
There is a patch solving this problem:
 http://forum.openvz.org/index.php?t=msg&th=10493&goto=45496&#msg_45496

Using this patch I was able to solve the problem for us.

This issue was redirected to the upstream project, so I posted the
patches there:
http://bugzilla.openvz.org/show_bug.cgi?id=2142#c3

Our test packages are avaiable for interested users:
deb http://deb.clazzes.org/debian squeeze-contrib-1 main

I'd of course love to see our solution beeing integrated in Debian.

Regards,

Christoph Lechleitner





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Wed, 23 May 2012 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 23 May 2012 22:57:05 GMT) Full text and rfc822 format available.

Message #22 received at 655385@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ola Lundqvist <opal@debian.org>
Cc: Christoph Lechleitner <christoph.lechleitner@iteg.at>, 655385@bugs.debian.org, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Wed, 23 May 2012 17:53:21 -0500
tags 655385 + patch moreinfo
quit

Hi Ola and Christoph,

Christoph Lechleitner wrote:

> There is a patch solving this problem:
>  http://forum.openvz.org/index.php?t=msg&th=10493&goto=45496&#msg_45496
>
> Using this patch I was able to solve the problem for us.

Thanks!

Ola, should we apply this patch?




Added tag(s) moreinfo and patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 23 May 2012 22:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Thu, 28 Jun 2012 05:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 28 Jun 2012 05:27:03 GMT) Full text and rfc822 format available.

Message #29 received at 655385@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ola Lundqvist <ola@inguza.com>
Cc: Christoph Lechleitner <christoph.lechleitner@iteg.at>, 655385@bugs.debian.org, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Thu, 28 Jun 2012 00:24:44 -0500
Ola Lundqvist wrote:

> I do not know if there is much point in that. We can do that of course
> but as we soon have a new release without those kernels I do not
> really see the benefit of doing so.

Squeeze still has at least a year of support left.  But I'm trusting
your judgment about which openvz patches are safe to apply to it (and
I imagine Ben does the same).

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Thu, 28 Jun 2012 06:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 28 Jun 2012 06:00:03 GMT) Full text and rfc822 format available.

Message #34 received at 655385@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Christoph Lechleitner <christoph.lechleitner@iteg.at>, 655385@bugs.debian.org, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Thu, 28 Jun 2012 07:18:56 +0200
Hi

I do not know if there is much point in that. We can do that of course
but as we soon have a new release without those kernels I do not
really see the benefit of doing so.

// Ola

On Wed, May 23, 2012 at 05:53:21PM -0500, Jonathan Nieder wrote:
> tags 655385 + patch moreinfo
> quit
> 
> Hi Ola and Christoph,
> 
> Christoph Lechleitner wrote:
> 
> > There is a patch solving this problem:
> >  http://forum.openvz.org/index.php?t=msg&th=10493&goto=45496&#msg_45496
> >
> > Using this patch I was able to solve the problem for us.
> 
> Thanks!
> 
> Ola, should we apply this patch?
> 

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Fri, 29 Jun 2012 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 29 Jun 2012 04:51:03 GMT) Full text and rfc822 format available.

Message #39 received at 655385@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Ola Lundqvist <ola@inguza.com>, Christoph Lechleitner <christoph.lechleitner@iteg.at>, 655385@bugs.debian.org, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Fri, 29 Jun 2012 06:46:05 +0200
Hi Jonathan

Thanks. Yes, but in this case the advice is to use the available
.rpm packages and alienize those to .deb.

// Ola

On Thu, Jun 28, 2012 at 12:24:44AM -0500, Jonathan Nieder wrote:
> Ola Lundqvist wrote:
> 
> > I do not know if there is much point in that. We can do that of course
> > but as we soon have a new release without those kernels I do not
> > really see the benefit of doing so.
> 
> Squeeze still has at least a year of support left.  But I'm trusting
> your judgment about which openvz patches are safe to apply to it (and
> I imagine Ben does the same).
> 
> Thanks,
> Jonathan
> 

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Fri, 29 Jun 2012 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 29 Jun 2012 08:54:04 GMT) Full text and rfc822 format available.

Message #44 received at 655385@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ola Lundqvist <ola@inguza.com>
Cc: Christoph Lechleitner <christoph.lechleitner@iteg.at>, 655385@bugs.debian.org, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Fri, 29 Jun 2012 03:51:29 -0500
Ola Lundqvist wrote:

> Thanks. Yes, but in this case the advice is to use the available
> .rpm packages and alienize those to .deb.

Oh, dear.  Shouldn't we add a NEWS file or something to let existing
users know the package in squeeze is not supported any more, then?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Fri, 29 Jun 2012 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ola Lundqvist <ola@inguza.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 29 Jun 2012 11:30:18 GMT) Full text and rfc822 format available.

Message #49 received at 655385@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Christoph Lechleitner <christoph.lechleitner@iteg.at>, 655385@bugs.debian.org, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Fri, 29 Jun 2012 13:01:53 +0200
Hi

vzctl and vzquota will still be supported. I will (very soon now)  
upload a new version with instructions on how to install the .rpm  
kernel and what to do there.

// Ola

Quoting Jonathan Nieder <jrnieder@gmail.com>:
> Ola Lundqvist wrote:
>
>> Thanks. Yes, but in this case the advice is to use the available
>> .rpm packages and alienize those to .deb.
>
> Oh, dear.  Shouldn't we add a NEWS file or something to let existing
> users know the package in squeeze is not supported any more, then?
>
>



-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Sat, 30 Jun 2012 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Small <tim@seoss.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 30 Jun 2012 12:06:48 GMT) Full text and rfc822 format available.

Message #54 received at 655385@bugs.debian.org (full text, mbox):

From: Tim Small <tim@seoss.co.uk>
To: 655385@bugs.debian.org
Subject: [squeeze openvz] "Cannot allocate memory" when doing "cat, /proc/self/mountinfo" inside a vm
Date: Sat, 30 Jun 2012 12:24:07 +0100
Hmm, I just re-read
http://www.debian.org/releases/stable/amd64/release-notes/ch-upgrading.en.html#deprecated

and it says "Debian GNU/Linux 6.0 will be the last release to include
Linux kernel virtualization featuresets outside of mainline. This means
that the OpenVZ and Linux-Vserver featuresets should be considered
deprecated"

OK, that's fair enough, but it doesn't say

"and support will be dropped about a year after Squeeze is released, but
before wheezy is ready", unless there's some fine-print I'm missing
somewhere...

Doesn't that look like dropping Debian+OpenVZ users in it a bit? 
Suddenly they have to switch to a non-Debian kernel (or otherwise a
completely different virtualisation technology) half way through a
stable release with no notice, and then manually track security updates
outside of the Debian security infrastructure etc.?

Is LXC considered to be a practical OpenVZ replacement by now?  It
doesn't really seem to be getting much attention, and I can't say I know
anyone who's using it...

Tim.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Sat, 30 Jun 2012 12:48:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Lechleitner <christoph.lechleitner@iteg.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 30 Jun 2012 12:48:24 GMT) Full text and rfc822 format available.

Message #59 received at 655385@bugs.debian.org (full text, mbox):

From: Christoph Lechleitner <christoph.lechleitner@iteg.at>
To: Tim Small <tim@seoss.co.uk>, 655385@bugs.debian.org
Subject: Re: Bug#655385: [squeeze openvz] "Cannot allocate memory" when doing "cat, /proc/self/mountinfo" inside a vm
Date: Sat, 30 Jun 2012 14:34:04 +0200
Am 2012-06-30 13:24, schrieb Tim Small:
> 
> Doesn't that look like dropping Debian+OpenVZ users in it a bit? 

I totally agree.

> Suddenly they have to switch to a non-Debian kernel (or otherwise a
> completely different virtualisation technology) half way through a
> stable release with no notice, and then manually track security updates
> outside of the Debian security infrastructure etc.?

You are talking out of my soul.

I can add one additional argument for patching one line (!) in the
Debian kernel over using a totally unofficial RedHat kernel:
OpenVZ's RedHat kernel does not feature everything the Debian kernel
does, especially DRBD!

I cannot live without DRBD, but it got mainline with only 2.6.33, while
RHEL 6 uses 2.6.32 and RedHat refused to backport DRBD in favour of a
similar appoach by themselves.

Proxmox (Debian based virtualization distro) also uses that RedHat
kernel, but at least they don't just alienate it, they add features like
DRBD and rebuild it as Debian package.

So please, either
- integrate that patch
or
- point us to a replacement kernel that does not cut out DRBD (proxmox?)

> Is LXC considered to be a practical OpenVZ replacement by now?  It
> doesn't really seem to be getting much attention, and I can't say I know
> anyone who's using it...

I tried that once, shortly after it became mainline.
At that time it did'nt work with most guest distros because it did'nt
even try to solve the udev mess.

Regards Christoph




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Mon, 02 Jul 2012 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Renner <michael.renner@amd.co.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 02 Jul 2012 14:33:05 GMT) Full text and rfc822 format available.

Message #64 received at 655385@bugs.debian.org (full text, mbox):

From: Michael Renner <michael.renner@amd.co.at>
To: ola@inguza.com, 655385@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Christoph Lechleitner <christoph.lechleitner@iteg.at>, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Mon, 2 Jul 2012 16:30:34 +0200
On Jun 28, 2012, at 7:18 , Ola Lundqvist wrote:

> I do not know if there is much point in that. We can do that of course
> but as we soon have a new release without those kernels I do not
> really see the benefit of doing so.


As long as the Debian Squeeze kernels are actively maintained serious regressions and/or security issues within OpenVZ should be addressed as well. I don't care about small functionality issues since most of the OpenVZ users are accustomed to them by now, but if something breaks this needs to be addressed.

If you don't do this, please drop the kernels altogether so that people can build an alternate repository and don't get led into the false assumption that Debian is taking care of them. The half-assed approach you propose is hurting more than it helps.


Rationale:

* The bug can lead to easy denial of service attacks from unprivileged users within containers
* The (unverified?) fix for this bug is a 4 line diff.
* Wheezy Puppet includes code that reads /proc/self/mountinfo causing puppet-managed Wheezy containers on Squeeze OpenVZ hosts to exhibit the DoS scenario outlined above.

all the best,
Michael





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Tue, 10 Jul 2012 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Henrion <bh@udev.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 Jul 2012 15:18:05 GMT) Full text and rfc822 format available.

Message #69 received at 655385@bugs.debian.org (full text, mbox):

From: Benjamin Henrion <bh@udev.org>
To: Michael Renner <michael.renner@amd.co.at>
Cc: ola@inguza.com, 655385@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Christoph Lechleitner <christoph.lechleitner@iteg.at>, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Tue, 10 Jul 2012 16:58:48 +0200
Michael Renner <michael.renner@amd.co.at> [120702]:
> On Jun 28, 2012, at 7:18 , Ola Lundqvist wrote:
> 
> > I do not know if there is much point in that. We can do that of course
> > but as we soon have a new release without those kernels I do not
> > really see the benefit of doing so.
> 
> 
> As long as the Debian Squeeze kernels are actively maintained serious
> regressions and/or security issues within OpenVZ should be addressed
> as well. I don't care about small functionality issues since most of
> the OpenVZ users are accustomed to them by now, but if something
> breaks this needs to be addressed.

I am affected by that bug, as updatedb crashes inside a VZ:

=================================================
101#  cat /proc/self/mountinfo
cat: /proc/self/mountinfo: Cannot allocate memory
=================================================

> If you don't do this, please drop the kernels altogether so that
> people can build an alternate repository and don't get led into the
> false assumption that Debian is taking care of them. The half-assed
> approach you propose is hurting more than it helps.
> 
> 
> Rationale:
> 
> * The bug can lead to easy denial of service attacks from unprivileged
> users within containers
> * The (unverified?) fix for this bug is a 4 line diff.
> * Wheezy Puppet includes code that reads /proc/self/mountinfo causing
> puppet-managed Wheezy containers on Squeeze OpenVZ hosts to exhibit
> the DoS scenario outlined above.

The patch is an attachment to the archives of the openvz users mailing list.

Can someone fix that?

--
Benjamin Henrion <bhenrion@ffii.org>
FFII Brussels - +32-484-566109 - +32-2-4148403




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Tue, 10 Jul 2012 15:27:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Lechleitner <christoph.lechleitner@iteg.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 Jul 2012 15:27:15 GMT) Full text and rfc822 format available.

Message #74 received at 655385@bugs.debian.org (full text, mbox):

From: Christoph Lechleitner <christoph.lechleitner@iteg.at>
To: Benjamin Henrion <bh@udev.org>
Cc: Michael Renner <michael.renner@amd.co.at>, ola@inguza.com, 655385@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Tue, 10 Jul 2012 17:25:22 +0200
Am 2012-07-10 16:58, schrieb Benjamin Henrion:
> I am affected by that bug, as updatedb crashes inside a VZ:
> 
> Can someone fix that?

Just to be sure, you did notice we from ITEG are providing binary
packages for now?

They are at
  http://deb.clazzes.org/debian/pool/squeeze-contrib-1/
resp. available via the deb source
  deb http://deb.clazzes.org/debian squeeze-contrib-1 main

See http://deb.clazzes.org for archive keys.
Everything is available via https: too.

Regards Christoph




Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 10 Jul 2012 15:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Tue, 10 Jul 2012 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Renner <michael.renner@amd.co.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 Jul 2012 17:15:03 GMT) Full text and rfc822 format available.

Message #81 received at 655385@bugs.debian.org (full text, mbox):

From: Michael Renner <michael.renner@amd.co.at>
To: Christoph Lechleitner <christoph.lechleitner@iteg.at>
Cc: Benjamin Henrion <bh@udev.org>, ola@inguza.com, 655385@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Tue, 10 Jul 2012 19:12:37 +0200
On Jul 10, 2012, at 17:25 , Christoph Lechleitner wrote:

> Am 2012-07-10 16:58, schrieb Benjamin Henrion:
>> I am affected by that bug, as updatedb crashes inside a VZ:
>> 
>> Can someone fix that?
> 
> Just to be sure, you did notice we from ITEG are providing binary
> packages for now?

Thanks - they work fine for me!

Ola, Jonathan: Could you please integrate the fix or at least comment on this? Thanks.

best,
Michael



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Tue, 10 Jul 2012 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Lechleitner <christoph.lechleitner@iteg.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 Jul 2012 17:39:04 GMT) Full text and rfc822 format available.

Message #86 received at 655385@bugs.debian.org (full text, mbox):

From: Christoph Lechleitner <christoph.lechleitner@iteg.at>
To: Michael Renner <michael.renner@amd.co.at>
Cc: Benjamin Henrion <bh@udev.org>, ola@inguza.com, 655385@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Tue, 10 Jul 2012 19:37:29 +0200
Am 2012-07-10 19:12, schrieb Michael Renner:
> On Jul 10, 2012, at 17:25 , Christoph Lechleitner wrote:
> 
>> Am 2012-07-10 16:58, schrieb Benjamin Henrion:
>>> I am affected by that bug, as updatedb crashes inside a VZ:
>>>
>>> Can someone fix that?
>>
>> Just to be sure, you did notice we from ITEG are providing binary
>> packages for now?
> 
> Thanks - they work fine for me!

Btw., I had a short mail discussion with Jonathan, and he asked me to
release source packages, too, in order to make it easier to trace and
reproduce my steps.

He also told my how to so and where to put what source package files in
the repository, so I'll try to do so. It may take some time though.

Regards, Christoph




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 04:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Sun, 15 Jul 2012 07:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 15 Jul 2012 07:36:05 GMT) Full text and rfc822 format available.

Message #93 received at 655385@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Christoph Lechleitner <christoph.lechleitner@iteg.at>
Cc: Michael Renner <michael.renner@amd.co.at>, Benjamin Henrion <bh@udev.org>, ola@inguza.com, 655385@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Corin Langosch <info@corinlangosch.com>
Subject: Re: [squeeze openvz] "Cannot allocate memory" when doing "cat /proc/self/mountinfo" inside a vm
Date: Sun, 15 Jul 2012 09:00:14 +0200
Hi

Thanks for this. Yes I think it would be good to fix this, and I think
we could convince the release team about it as well. I'll bring it up on
the kernel maintainers mailinglist. I'm not a kernel maintainer myself.

// Ola

On Tue, Jul 10, 2012 at 07:37:29PM +0200, Christoph Lechleitner wrote:
> Am 2012-07-10 19:12, schrieb Michael Renner:
> > On Jul 10, 2012, at 17:25 , Christoph Lechleitner wrote:
> > 
> >> Am 2012-07-10 16:58, schrieb Benjamin Henrion:
> >>> I am affected by that bug, as updatedb crashes inside a VZ:
> >>>
> >>> Can someone fix that?
> >>
> >> Just to be sure, you did notice we from ITEG are providing binary
> >> packages for now?
> > 
> > Thanks - they work fine for me!
> 
> Btw., I had a short mail discussion with Jonathan, and he asked me to
> release source packages, too, in order to make it easier to trace and
> reproduce my steps.
> 
> He also told my how to so and where to put what source package files in
> the repository, so I'll try to do so. It may take some time though.
> 
> Regards, Christoph
> 

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------



Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sun, 23 Sep 2012 02:51:14 GMT) Full text and rfc822 format available.

Notification sent to Corin Langosch <info@corinlangosch.com>:
Bug acknowledged by developer. (Sun, 23 Sep 2012 02:51:14 GMT) Full text and rfc822 format available.

Message #98 received at 655385-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 655385-close@bugs.debian.org
Subject: Bug#655385: fixed in linux-2.6 2.6.32-46
Date: Sun, 23 Sep 2012 02:47:10 +0000
Source: linux-2.6
Source-Version: 2.6.32-46

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 655385@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 23 Sep 2012 04:22:37 +0900
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: source all
Version: 2.6.32-46
Distribution: stable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Closes: 575893 611107 634180 647560 655385 670398 671238 679882 680467 681632 685087
Changes: 
 linux-2.6 (2.6.32-46) stable; urgency=high
 .
   [ Bastian Blank ]
   * [s390] Enable IUCV special message support. (closes: #671238)
 .
   [ Ben Hutchings ]
   * linux-image: Relax version dependency on linux-base, to simplify
     testing of bug fixes
   * [x86] linux-image: Fix minimum version of lilo (Closes: #680467)
   * [openvz] proc: Fix extreme memory use for /proc/self/mountinfo in
     container, thanks to Andrew Vagin, Christoph Lechleitner (Closes: #655385)
   * usb: Fix deadlock in hid_reset when Dell iDRAC is reset (Closes: #670398)
   * drm: Apply changes deferred from 2.6.32.42+drm33.19:
     - drm: implement helper functions for scanning lru list
     - drm/i915: Implement fair lru eviction across both rings. (v2)
     - drm/i915: Maintain LRU order of inactive objects upon access by CPU (v2)
     - drm/i915/evict: Ensure we completely cleanup on failure
   * Add drm changes from 2.6.32.46+drm33.20, 2.6.32.48+drm33.21,
     2.6.32.56+drm33.22, 2.6.32.57+drm33.23, 2.6.32.58+drm33.24
     (Closes: #681632) including:
     - drm/radeon/kms: prefer high post dividers in legacy pll algo
       (Closes: #575893)
     - drm: mm: fix range restricted allocations (regression in 2.6.32-36)
     - drm/i915: no lvds quirk for AOpen MP45
   * [armel/kirkwood] ahci: Add JMicron 362 device IDs (Closes: #634180)
   * tcp: Don't change unlocked socket state in tcp_v4_err(). (Closes: #685087)
   * locks: fix checking of fcntl_setlease argument
   * sfc: Fix maximum number of TSO segments and minimum TX queue size
     (CVE-2012-3412)
 .
   [ Jonathan Nieder ]
   * ath5k: initialize default noise floor
   * ath5k: use noise calibration from madwifi hal (Closes: #611107)
   * sky2: Add 'legacy_pme' option for PCI legacy power management
     (Closes: #647560; works around regression introduced in 2.6.32-22)
 .
   [ dann frazier ]
   * Avoid leap second deadlock and early hrtimer/futex expiration issue
     (Closes: #679882)
   * net: sock: validate data_len before allocating skb in
     sock_alloc_send_pskb() (CVE-2012-2136)
   * dl2k: Clean up rio_ioctl, add missing CAP_NET_ADMIN checks (CVE-2012-2313)
   * hfsplus: Fix potential buffer overflows (CVE-2012-2319)
   * hugetlb: fix resv_map leak in error path (CVE-2012-2390)
   * mm: fix vma_resv_map() NULL pointer (CVE-2012-2390)
   * cred: copy_process() should clear child->replacement_session_keyring
     (CVE-2012-2745)
   * udf: Fix buffer overflow when parsing sparing table (CVE-2012-3400)
   * rds: set correct msg_namelen (CVE-2012-3430)
Checksums-Sha1: 
 3ff87f93ced4978ef59c2ca2a7d080f636e7e94b 6975 linux-2.6_2.6.32-46.dsc
 f0d20647b7cb355c42273e25bc669c2656fca619 16321966 linux-2.6_2.6.32-46.diff.gz
 c1bdae9febe680c5c8c2533c2dd1d4a4efb94a1f 6062144 linux-doc-2.6.32_2.6.32-46_all.deb
 c4226e2d491711955a5898c38e7b14cccbbe7db3 2743164 linux-manual-2.6.32_2.6.32-46_all.deb
 efbc3d15901464bf42b310132e3d4632f3f5cdc7 9951026 linux-patch-debian-2.6.32_2.6.32-46_all.deb
 e170ed2082ec1740012cb45b75f50bee261d7749 65332716 linux-source-2.6.32_2.6.32-46_all.deb
 7febd4a06bf5c2095b6f4222340b975672e73e8d 170386 linux-support-2.6.32-5_2.6.32-46_all.deb
 5b4b525dd5ad1e3079e134fd534ee237b30523e5 158042 firmware-linux-free_2.6.32-46_all.deb
 23c316f4f98f8f37486f2c905e50fe5f4fbd4c1b 180298 linux-base_2.6.32-46_all.deb
Checksums-Sha256: 
 87d7f2d6e0c61c316db3ccc5f5082fe17928f14a1ddbe683190691fd60c2e0d9 6975 linux-2.6_2.6.32-46.dsc
 8e6220b01f30ee9acb3ae8a6a7825f054ddbe447914cd0a6d60cfb29b7553467 16321966 linux-2.6_2.6.32-46.diff.gz
 4ef3a97e02bbd967094a789aa97adfc228861612a58d6ac33871a0ec9a0c9e7b 6062144 linux-doc-2.6.32_2.6.32-46_all.deb
 ba564fb082d02ae888624afc89d27c91322cb86189bfb736d47ba8dbcdb00bc1 2743164 linux-manual-2.6.32_2.6.32-46_all.deb
 db1549cd11c371e06d2798faf25887157ab13b950c2fc8fa77fde38ccf0a75f1 9951026 linux-patch-debian-2.6.32_2.6.32-46_all.deb
 4a54c5c2829ab299bb6f23173c753b17ab220efaffc52ebe8e3cb836dd27ba9b 65332716 linux-source-2.6.32_2.6.32-46_all.deb
 a1d0c578806ba6c66fcddf8ba2d91c01bdd2c6b13a59bbeea10160dacdfbf5f5 170386 linux-support-2.6.32-5_2.6.32-46_all.deb
 549ae6daa7cdcb3c84d43ba1cc6b6d6fcbea88d254877904e6e20f310f296002 158042 firmware-linux-free_2.6.32-46_all.deb
 3358a7a36822af591d13ae9335e347a1240d0559b2e3a06b256121edd6ee2e53 180298 linux-base_2.6.32-46_all.deb
Files: 
 ec0ad78b04684c74e486fbdfb5e1ef2c 6975 kernel optional linux-2.6_2.6.32-46.dsc
 9485f223c9b6dac8cdf0bc2b368aae35 16321966 kernel optional linux-2.6_2.6.32-46.diff.gz
 a9cadc9f5e159c40ccf69b9a232e8fc3 6062144 doc optional linux-doc-2.6.32_2.6.32-46_all.deb
 db7a87ce09daf46962c6e9b21aa1d131 2743164 doc optional linux-manual-2.6.32_2.6.32-46_all.deb
 b2b742363d93eee73f5ed7d6d330dd90 9951026 kernel optional linux-patch-debian-2.6.32_2.6.32-46_all.deb
 ff3850761eaef39747970b2e964f9a4f 65332716 kernel optional linux-source-2.6.32_2.6.32-46_all.deb
 03c0f6c890cdf2648a047bf95da724d6 170386 devel optional linux-support-2.6.32-5_2.6.32-46_all.deb
 c10bb020da429fa7d42b49bd33d1890a 158042 kernel optional firmware-linux-free_2.6.32-46_all.deb
 5471535b7378b6c599f7b1b5bb2b7a97 180298 kernel optional linux-base_2.6.32-46_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQXilOAAoJEBv4PF5U/IZAx4MP/0JvJYrBViKb5p21EUzRj8Sd
wFoNTX1RB7Ci1xQ1sx/jp+QQSeodnxjKsbDwkPhxx1wsnmThJm3B1vwYy0nGnfee
8Uoef0W2MaWpNKoD7t2EDcH/xdtHHKvquoRSEiW5lQa1Wfxbkzwr9RcYPanNgFW0
nHyBYZPjQn9J8ia9EnALDVYIs6IdtmdnRTvT8JPQT+fO1V1BGsMsR+nqHIdsSXGV
FzZVgDRGcbq6aByWOB+L/Ji+XWwsa0xNq5vlJ/pPdTVNp9dGbMyY39fyASmpZa3g
g3o7mHdxbQXYmlOc+1reqWy6ARE7t5E0tVpDXkFnH2lAmD539oJNbTmd6Uq0gHwH
Lms74Wcdt+mfbjx66ok6y/eBWmeRgzan74aLxnLkwuz4GiXrKZllenYm6h2516NJ
jVkqNZdButF50boZVd0Y0nBCrSaL9Rn/dh5ndIyt6PRRKzhtPRkw8LpYYdevBw/e
0UrNmHdQaXZ+macAUM3qLu4lXN/1qCDCm8kkLOv9bau9qCOYJXG5NsHeQJmM0hxP
wvq6T8/mBbL15/D/GSPiZ4m3TRonuN+7Jeknn4JCPKxE/bB6oQuJ98rSGXmKAr5B
d42Oelf/v2Ic8QjOHyWNYtQLNaHQmgw3BZrXxf+khnK6/w74SunW8GHM9joomS0u
wjPQgdaFjlizI3+g1Mw9
=ieIa
-----END PGP SIGNATURE-----




Message #99 received at 655385-close@bugs.debian.org (full text, mbox):

From: Christoph Lechleitner <christoph.lechleitner@iteg.at>
To: 655385-close@bugs.debian.org
Cc: dann frazier <dannf@debian.org>
Subject: Re: Bug#655385: fixed in linux-2.6 2.6.32-46
Date: Tue, 02 Oct 2012 23:22:50 +0200
Am 2012-09-23 04:47, schrieb dann frazier:
> Source: linux-2.6
> Source-Version: 2.6.32-46
> 
> We believe that the bug you reported is fixed in the latest version of
> linux-2.6, which is due to be installed in the Debian FTP archive.

I don't want to reboot our affected servers (I have our own patched
kernel running, anyway), but after a look at the source package
2.6.32-46 I clearly agree that the patch made it in, and the bug should
be fixed now.

Thanks!

Regards, Christoph



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Wed, 03 Oct 2012 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Deziel <simon.deziel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 03 Oct 2012 14:09:03 GMT) Full text and rfc822 format available.

Message #104 received at 655385@bugs.debian.org (full text, mbox):

From: Simon Deziel <simon.deziel@gmail.com>
To: 655385@bugs.debian.org
Subject: Re: Bug#655385: regression introduced in linux-2.6 2.6.32-46
Date: Wed, 03 Oct 2012 10:07:19 -0400
Hi,

Since the kernel upgrade, all my Ubuntu Lucid VZ are broken. The
breakage manifests in various way but the more evident is the init
sequence missing some important parts. It seems that upstart inside the
VZ does not emit the "startup" event with cause many problems (missing
mounts, some daemons not starting, ...).

Old kernel working to "vzctl enter" in a Lucid VZ:

# uname -a
Linux vzhost-sdeziel.dev.sdeziel.info 2.6.32-5-openvz-amd64 #1 SMP Sun
May 6 05:21:56 UTC 2012 x86_64 GNU/Linux
# vzctl enter build-lucid
entered into CT 1000

New kernel failing to "vzctl enter" in a Lucid VZ:

# uname -a
Linux vzhost-sdeziel.dev.sdeziel.info 2.6.32-5-openvz-amd64 #1 SMP Sun
Sep 23 11:32:18 UTC 2012 x86_64 GNU/Linux
# vzctl enter build-lucid
enter into CT 1000 failed
Unable to open pty: No such file or directory

# echo "Manual reviving"
# vzctl exec build-lucid initctl emit startup --no-wait
# vzctl enter build-lucid
entered into CT 1000


Is there anyone else affected by this too?

Best regards,
Simon



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Wed, 03 Oct 2012 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Lechleitner <christoph.lechleitner@iteg.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 03 Oct 2012 14:33:03 GMT) Full text and rfc822 format available.

Message #109 received at 655385@bugs.debian.org (full text, mbox):

From: Christoph Lechleitner <christoph.lechleitner@iteg.at>
To: 655385@bugs.debian.org
Cc: Simon Deziel <simon.deziel@gmail.com>
Subject: Re: Bug#655385: regression introduced in linux-2.6 2.6.32-46
Date: Wed, 03 Oct 2012 16:24:03 +0200
Am 2012-10-03 16:07, schrieb Simon Deziel:
> Hi,
> 
> Since the kernel upgrade, all my Ubuntu Lucid VZ are broken. The
> breakage manifests in various way but the more evident is the init
> sequence missing some important parts.

Lucid guests never worked for me.

> Old kernel working to "vzctl enter" in a Lucid VZ:

Which version exactly?
As in:
dpkg -p linux-image-2.6.32-5-openvz-amd64

> New kernel failing to "vzctl enter" in a Lucid VZ:

Which version exactly?

> # vzctl enter build-lucid
> enter into CT 1000 failed
> Unable to open pty: No such file or directory

This is a common problem with Ubuntu guests, several solutions can be
found via Google easily.

I am quite sure that the proc-self-patch has nothing to do with this
upstart/udev/ubuntu problem.


> Is there anyone else affected by this too?

Well, our hardy guests have no such issues.


Regards, Christoph




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Wed, 03 Oct 2012 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Deziel <simon.deziel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 03 Oct 2012 14:42:03 GMT) Full text and rfc822 format available.

Message #114 received at 655385@bugs.debian.org (full text, mbox):

From: Simon Deziel <simon.deziel@gmail.com>
To: Christoph Lechleitner <christoph.lechleitner@iteg.at>
Cc: 655385@bugs.debian.org
Subject: Re: Bug#655385: regression introduced in linux-2.6 2.6.32-46
Date: Wed, 03 Oct 2012 10:38:09 -0400
[Message part 1 (text/plain, inline)]
Hi Christoph,

On 12-10-03 10:24 AM, Christoph Lechleitner wrote:
> Am 2012-10-03 16:07, schrieb Simon Deziel:
>> Hi,
>>
>> Since the kernel upgrade, all my Ubuntu Lucid VZ are broken. The
>> breakage manifests in various way but the more evident is the init
>> sequence missing some important parts.
> 
> Lucid guests never worked for me.

An attached "openvz" upstart job is (and was always) required to have
the guest working. All our Ubuntu guests template are created using this
template generator in Python:
https://code.launchpad.net/~ubuntu-openvz-dev/openvz-tools/vz-utils It
takes care of creating an upstart job suitable to boot any Ubuntu guest
version.

>> Old kernel working to "vzctl enter" in a Lucid VZ:
> 
> Which version exactly?
> As in:
> dpkg -p linux-image-2.6.32-5-openvz-amd64

# dpkg -p linux-image-2.6.32-5-openvz-amd64
Package: linux-image-2.6.32-5-openvz-amd64
Priority: optional
Section: kernel
Installed-Size: 98452
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Architecture: amd64
Source: linux-2.6
Version: 2.6.32-46
Provides: linux-image, linux-image-2.6, linux-modules-2.6.32-5-openvz-amd64
Depends: module-init-tools, linux-base (>= 2.6.32-31), vzctl,
initramfs-tools (>= 0.55) | linux-initramfs-tool
Pre-Depends: debconf | debconf-2.0
Recommends: firmware-linux-free (>= 2.6.32)
Suggests: linux-doc-2.6.32, grub | lilo (>= 1:22.8-8.2~)
Breaks: initramfs-tools (<< 0.55), lilo (<< 1:22.8-8.2~)
Size: 28870306
Description: Linux 2.6.32 for 64-bit PCs, OpenVZ support
 The Linux kernel 2.6.32 and modules for use on PCs with AMD64 or Intel 64
 processors.
 .
 This kernel includes support for OpenVZ container-based virtualization.
 .
 This kernel also runs on a Xen hypervisor.  It supports only unprivileged
 (domU) operation.


>> New kernel failing to "vzctl enter" in a Lucid VZ:
> 
> Which version exactly?

The kernel 2.6.32-46 breaks it. FYI, the "vzctl enter" is just a visible
sign of the breakage as clearly, upstart (or something else in the
guest) is not linking the new kernel but was fine with the old one
(2.6.32-45).

If that is useful, my own build of vzctl:

# apt-cache policy vzctl
vzctl:
  Installed: 3.0.30.2-1~lucid1
  Candidate: 3.0.30.2-1~lucid1
  Version table:
 *** 3.0.30.2-1~lucid1 0
        500 http://ppa.launchpad.net/sdeziel/openvz/ubuntu/ lucid/main
Packages
        500 http://ppa.launchpad.net/sdeziel/ppa/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status


>> # vzctl enter build-lucid
>> enter into CT 1000 failed
>> Unable to open pty: No such file or directory
> 
> This is a common problem with Ubuntu guests, several solutions can be
> found via Google easily.
> 
> I am quite sure that the proc-self-patch has nothing to do with this
> upstart/udev/ubuntu problem.

The pty issue is also another sign of the upstart/init breakage. I know
"Unable to open pty" is quite common and easily worked around but here
that's a different issue IMHO.

>> Is there anyone else affected by this too?
> 
> Well, our hardy guests have no such issues.

Our Precise guests are working without problem too, just the Lucid ones
are broken.

Thanks,
Simon
[openvz.conf (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#655385; Package linux-2.6. (Wed, 03 Oct 2012 15:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Deziel <simon.deziel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 03 Oct 2012 15:21:08 GMT) Full text and rfc822 format available.

Message #119 received at 655385@bugs.debian.org (full text, mbox):

From: Simon Deziel <simon.deziel@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Christoph Lechleitner <christoph.lechleitner@iteg.at>, 655385@bugs.debian.org
Subject: Re: Bug#655385: regression introduced in linux-2.6 2.6.32-46
Date: Wed, 03 Oct 2012 11:17:13 -0400
On 12-10-03 11:09 AM, Ben Hutchings wrote:
> On Wed, 2012-10-03 at 16:24 +0200, Christoph Lechleitner wrote:
> [...]
>>> # vzctl enter build-lucid
>>> enter into CT 1000 failed
>>> Unable to open pty: No such file or directory
>>
>> This is a common problem with Ubuntu guests, several solutions can be
>> found via Google easily.
>>
>> I am quite sure that the proc-self-patch has nothing to do with this
>> upstart/udev/ubuntu problem.
> [...]
> 
> Agreed.  This is most likely caused by either:
> 
> 1. Some other change in -46 that interacts badly with OpenVZ.  The
> OpenVZ project does not support the 2.6.32.y longterm series that the
> 'squeeze' kernel is based on, so such problems are bound to occur.

That is quite possible. I guess that a git bisect is needed to know for
sure.

> 2. An existing problem that showed up due to the reboot.
> 
> (Debian servers tend to get rebooted only after a kernel upgrade, so any
> boot problem will be blamed on the upgrade.)

Good point, though this server was rebooted various time while swapping
the kernel version only. This made it clear that the kernel alone is
trigging the bug.

Thanks all for your inputs,
Simon




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Nov 2012 07:30:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:58:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.